Bug 447254 - Method string is not assigned correctly
Method string is not assigned correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 02:01 EDT by The Source
Modified: 2008-08-04 11:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 11:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description The Source 2008-05-19 02:01:31 EDT
Description of problem:
There is a bug in nv modules which does not allow me to install F9 correctly
with my GeForce 8800 GTX. So I decided to use vesa driver. I loaded in rescue
mode and launched anaconda manually:
anaconda --xdriver=vesa --method=cdrom -G
But when I passed boot loader config screen anaconda gave crash dialog with a
lot of text but the main error message was:
Methodstr was referenced before assigned.

Version-Release number of selected component (if applicable):
F9 installer

How reproducible:
always

Steps to Reproduce:
1. Load in rescue mode
2. anaconda --xdriver=vesa --method=cdrom -G
3. continue until boot loader config screen and press Next.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2008-05-19 09:29:52 EDT
We'll need the complete error message with line numbers and everything in order
to fix this.

However, what happens if you pass the correct form of the method string?  That
is, something like:  --method=cdrom:///dev/sr0:/mnt/source
Comment 2 The Source 2008-05-20 12:04:34 EDT
Tried it. Didn't help, but the error message is different with your string:
TypeError: coe.blah..forgot unicode: expected String, got NoneType.
Comment 3 Chris Lumens 2008-05-20 12:12:34 EDT
Please attach the complete error message to this bug report.

Note You need to log in before you can comment on or make changes to this bug.